Subject: Re: [PATCH net-next v4 0/2] Add OVS packet family YNL spec and unicast notification support

From: Jakub Kicinski <[email-masked]>
Date: Fri, 22 May 2026 09:00:31 -0700

On Fri, 22 May 2026 11:24:47 +0800 Minxi Hou wrote:
> Sashiko flagged a few things on this series, noting my analysis here
> for the record.
> 
> The dp-ifindex field is typed as u32 in the spec while the kernel
> struct uses "int".  All three existing OVS specs (ovs_datapath,
> ovs_flow, ovs_vport) also use u32 for this field, so I kept it
> consistent.
> 
> key/actions/egress-tun-key are typed as binary rather than nest.
> This is documented in the commit message and inline comments --
> the nested attribute-sets belong to ovs_flow's spec, and YNL does
> not support cross-spec references.
> 
> The execute operation does not carry uns-admin-perm in the spec.
> The kernel sets GENL_UNS_ADMIN_PERM on it, but none of the existing
> OVS specs declare admin-perm flags on any of their operations either
> (ovs_datapath new/del/set, ovs_flow new/del/set, ovs_vport new/del/set
> all have GENL_UNS_ADMIN_PERM in the kernel but omit it in the YAML).
> 
> ntf_bind() will raise OSError if the socket was already bound.
> ntf_subscribe() has the same constraint -- both expect to be called
> before any operation that triggers autobind.

Your explanations sound reasonable.
But please rebase and repost, I think some patches merged yesterday
will conflict with the new ynl helper.
-- 
pw-bot: cr